cURL
curl --request GET \
--url https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groupMembership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"roles": [
{
"id": "<string>",
"role": "<string>",
"isTemporary": true,
"customRoleId": "<string>",
"customRoleName": "<string>",
"customRoleSlug": "<string>",
"temporaryMode": "<string>",
"temporaryRange": "<string>",
"temporaryAccessStartTime": "2023-11-07T05:31:56Z",
"temporaryAccessEndTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Project Groups
Get project group membership by ID
Get project group membership by group ID.
GET
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
groups
/
{groupId}
cURL
Was this page helpful?
⌘I